--- old/usr/src/uts/common/io/scsi/adapters/mpt_sas/mptsas.c	Tue Jul  3 21:12:48 2018
+++ new/usr/src/uts/common/io/scsi/adapters/mpt_sas/mptsas.c	Tue Jul  3 21:12:48 2018
@@ -6183,7 +6183,7 @@
 	uint32_t		page_address;
 	uint16_t		bay_num, enclosure, io_flags;
 	uint32_t		dev_info;
-	char 			uabuf[SCSI_WWN_BUFLEN];
+	char			uabuf[SCSI_WWN_BUFLEN];
 	dev_info_t		*dip;
 	mdi_pathinfo_t		*pip;
 
@@ -15057,7 +15057,7 @@
 		(void) ddi_deviname(cdip, devname);
 		/* Clean cache */
 		(void) devfs_clean(parent, devname + 1,
-		    DV_CLEAN_FORCE);
+		    DV_CLEAN_FORCE|DV_DEVI_GONE);
 		kmem_free(devname, MAXNAMELEN + 1);
 	}
 	if (rpip != NULL) {
@@ -15127,7 +15127,7 @@
 		(void) ddi_deviname(cdip, devname);
 		/* Clean cache */
 		(void) devfs_clean(pdip, devname + 1,
-		    DV_CLEAN_FORCE);
+		    DV_CLEAN_FORCE|DV_DEVI_GONE);
 		kmem_free(devname, MAXNAMELEN + 1);
 	}
 
@@ -16820,7 +16820,7 @@
 	Mpi2SepReply_t		rep;
 	int			ret;
 	mptsas_enclosure_t	*mep;
-	uint16_t 		enctype;
+	uint16_t		enctype;
 
 	ASSERT(mutex_owned(&mpt->m_mutex));
 
